apt: PackageUniverse::const_iterator Class Reference

apt 2.7.5 commandline package manager

Public Member Functions | List of all members
PackageUniverse::const_iterator Class Reference
Inheritance diagram for PackageUniverse::const_iterator:

## Public Member Functions
| const_iterator (pkgCache::PkgIterator i)
pkgCache::PkgIterator | getType (void) const
Public Member Functions inherited from Container_iterator_base< APT::PackageContainerInterface, PackageUniverse, PackageUniverse::const_iterator, pkgCache::PkgIterator, pkgCache::PkgIterator >
| Container_iterator_base (pkgCache::PkgIterator const &i)
pkgCache::PkgIterator | operator* (void) const
| operator pkgCache::PkgIterator (void) const
PackageUniverse::const_iterator & | operator++ ()
PackageUniverse::const_iterator | operator++ (int)
PackageUniverse::const_iterator | operator+ (typename container_iterator::difference_type const &n)
PackageUniverse::const_iterator | operator+= (typename container_iterator::difference_type const &n)
PackageUniverse::const_iterator & | operator-- ()
PackageUniverse::const_iterator | operator-- (int)
PackageUniverse::const_iterator | operator- (typename container_iterator::difference_type const &n)
container_iterator::difference_type | operator- (PackageUniverse::const_iterator const &b)
PackageUniverse::const_iterator | operator-= (typename container_iterator::difference_type const &n)
bool | operator!= (PackageUniverse::const_iterator const &i) const
bool | operator== (PackageUniverse::const_iterator const &i) const
bool | operator< (PackageUniverse::const_iterator const &i) const
bool | operator> (PackageUniverse::const_iterator const &i) const
bool | operator<= (PackageUniverse::const_iterator const &i) const
bool | operator>= (PackageUniverse::const_iterator const &i) const
container_iterator::reference | operator[] (typename container_iterator::difference_type const &n) const

## Additional Inherited Members
Public Types inherited from Container_iterator_base< APT::PackageContainerInterface, PackageUniverse, PackageUniverse::const_iterator, pkgCache::PkgIterator, pkgCache::PkgIterator >
using | iterator_category = typename std::iterator_traits< pkgCache::PkgIterator >::iterator_category
using | value_type = pkgCache::PkgIterator
using | difference_type = std::ptrdiff_t
using | pointer = pkgCache::PkgIterator *
using | reference = pkgCache::PkgIterator &
Public Attributes inherited from Container_iterator_base< APT::PackageContainerInterface, PackageUniverse, PackageUniverse::const_iterator, pkgCache::PkgIterator, pkgCache::PkgIterator >
friend | Master
Protected Attributes inherited from Container_iterator_base< APT::PackageContainerInterface, PackageUniverse, PackageUniverse::const_iterator, pkgCache::PkgIterator, pkgCache::PkgIterator >
pkgCache::PkgIterator | _iter

The documentation for this class was generated from the following file:

- apt-pkg/cacheset.h